/*-----------------------------------------
  Mathématiques Spécifiques II (Algo. Num.)
  Projet - Automate cellulaire paramétrable
  09.06.2022

  Equipe 03 : M. Allemann Jonas
              M. Chappuis Sebastien
              Mme. Michel Jeanne
              M. Stouder Xavier

  CSS for the application
------------------------------------------*/

*, *::before, *::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    display: flex;
    justify-content: stretch;
    align-items: stretch;
    min-height: 100%;
    margin: 0;
    font: 1rem "Segoe UI", Frutiger, "Frutiger Linotype" , "Dejavu Sans" , "Helvetica Neue" , Arial, sans-serif;
    color: #EEE;
    background: #222;
}

#game-wrapper {
    position: relative;
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
}

#game {
    position: absolute;
}

#ui-wrapper {
    min-width: 24rem;
    overflow-y: scroll;
}

a {
    font-size: 1.25rem;
    color: skyblue;
    text-decoration: none;
    width: 100%;
    text-align: center;
}
a:hover {
    text-decoration: underline;
}

.input-row {
    display: flex;
    padding: .5rem;
}

.input-row label {
    flex: 1;
}

.input-row input,
.input-row button,
.input-row select,
.input-row span {
    flex: 1;
    width: 100%;
    font: inherit;
}

#ruleset-wrapper {
    margin: .75rem;
    user-select: none;
}

.wrapper {
    margin: .75rem;
}

.rule-row {
    display: flex;
}

.rule {
    display: flex;
    flex-wrap: wrap;
    width: 1.25rem;
    height: 1.25rem;
    border: 0.0625rem solid #222;
    cursor: pointer;
}
.rule:hover {
    z-index: 1;
    transform: scale(2, 2);
}

.visual-element {
    background: hsl(0, 10%, 40%);
    width: calc(100% / 3);
    height: calc(100% / 3);
}
.visual-element.on {
    background: hsl(0, 10%, 60%);
    border: .0625rem solid hsl(0, 10%, 40%);
}
.rule[data-selected="true"] > .visual-element {
    background: hsl(220, 80%, 60%);
}
.rule[data-selected="true"] > .visual-element.on {
    background: hsl(220, 80%, 80%);
    border: .0625rem solid hsl(220, 80%, 60%);
}
